# Uses of Class
org.apache.lucene.codecs.lucene95.OrdToDocDISIReaderConfiguration

Packages that use OrdToDocDISIReaderConfiguration
Package
Description
org.apache.lucene.codecs.lucene95
Lucene 9.5 file format.
org.apache.lucene.codecs.lucene99
Lucene 9.9 file format.

- ## Uses of OrdToDocDISIReaderConfiguration in org.apache.lucene.codecs.lucene95

  Methods in org.apache.lucene.codecs.lucene95 that return OrdToDocDISIReaderConfiguration
  Modifier and Type
  Method
  Description
  `static OrdToDocDISIReaderConfiguration`
  OrdToDocDISIReaderConfiguration.`fromStoredMeta(IndexInput inputMeta, int size)`
  Reads in the necessary fields stored in the outputMeta to configure `DirectMonotonicReader` and `IndexedDISI`.
  Methods in org.apache.lucene.codecs.lucene95 with parameters of type OrdToDocDISIReaderConfiguration
  Modifier and Type
  Method
  Description
  `static OffHeapByteVectorValues`
  OffHeapByteVectorValues.`load(VectorSimilarityFunction vectorSimilarityFunction, FlatVectorsScorer flatVectorsScorer, OrdToDocDISIReaderConfiguration configuration, VectorEncoding vectorEncoding, int dimension, long vectorDataOffset, long vectorDataLength, IndexInput vectorData)`
  `static OffHeapFloatVectorValues`
  OffHeapFloatVectorValues.`load(VectorSimilarityFunction vectorSimilarityFunction, FlatVectorsScorer flatVectorsScorer, OrdToDocDISIReaderConfiguration configuration, VectorEncoding vectorEncoding, int dimension, long vectorDataOffset, long vectorDataLength, IndexInput vectorData)`

- ## Uses of OrdToDocDISIReaderConfiguration in org.apache.lucene.codecs.lucene99

  Methods in org.apache.lucene.codecs.lucene99 with parameters of type OrdToDocDISIReaderConfiguration
  Modifier and Type
  Method
  Description
  `static OffHeapQuantizedByteVectorValues`
  OffHeapQuantizedByteVectorValues.`load(OrdToDocDISIReaderConfiguration configuration, int dimension, int size, ScalarQuantizer scalarQuantizer, VectorSimilarityFunction similarityFunction, FlatVectorsScorer vectorsScorer, boolean compress, long quantizedVectorDataOffset, long quantizedVectorDataLength, IndexInput vectorData)`